;+
; In addition to the NRSQ site included in the standard THEMIS GMAG
; data distribution, Jurgen Matzka(jrgm@space.dtu.dk) from the Technical
; University of Denmark has made data gmag data available from the DTU(previously DMI) and
; the TGO gmag networks.  Availability is 2007 through 30 april 2008 and 1 january 2009 to the present.
; Although not all gmags are available at all times.
; To access these data, simply use the program thm_load_gmag
; More DMI data can be added upon request.  Otherwise, THEMIS archives will be updated 
; approximately every 3 months. 
; 
; WARNING:  As with all GMAG data, users should be careful to verify data units and coordinate
;           systems, as calibrations can drift from true values over time.  Users should be particularly
;           careful with the older data from the DMI/DTU network.
;
;

thm_load_gmag, trange = ['2009-01-01', '2009-01-02']

; loads all sites for 1-jan-2009, icluding the greenland stations. The
; greenland sites are handled in the same way as the other GMAG sites. 
;
;To get data for individual sites, use the site keyword with one of the following values:
;
;  amk and atu bfe bjn dmh dnb don fhb gdh ghb hop kar kuv lyr
;  nal naq nor nrd rvk sco skt sol sor stf svs thl tro umq upn
;
;  These names correspond to gmags at these locations:
;    Ammassalik(Tasiilaq) Andenes Attu Brorfelde Bjornoya Danmarkshavn Dombas Donna Paamiut(Frederickshap) Qeqertarsuaq(Godhavn) Nuuk(Godthap) Hopen Karmoy
;    Kullorsuaq Longyearbyen NyAlesund Naqsarsuaq Nordkapp Nord Rorvik Ittoqqortoormiit Maniitsoq(SukkerToppen) Solund Soroya
;    Kangerlussuaq(SondreStromFjord)Savissivik Qaanaaq(Thule) Tromso Umanaq Upernavik

; Detailed info on DTU/TGO sites is here:
; http://flux.phys.uit.no/geomag.html 
;  

thm_load_gmag, trange = ['2009-01-01', '2009-01-02'], site = ['amk', 'gdh']

;or

thm_load_gmag, trange = ['2009-01-01', '2009-01-02'],  site = ['amk gdh']

;etc... The other keyword inputs for thm_load_gmag,
;(/subtract_average, /subtract_median, /valid_names, etc...) still
;work. See THM_CRIB_GMAG in this directory for examples.

;If this data is used in a publication, please acknowledge the source: 
;"Tromsø Geophysical Observatory, University of Tromsø, Norway for use of the Greenland & Norway magnetometer data"
;
;

End


