
;+
;NAME:
; thm_sst_calibration_test
;PURPOSE:
;
;  This routine is for testing new calibrations(will eventually be moved to QA directory) 
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-07-15 14:28:41 -0700 (Thu, 15 Jul 2010) $
;$LastChangedRevision: 7713 $
;$URL: svn+ssh://thmsvn@ambrosia2.ssl.berkeley.edu/repos/thmsoc/tags/tdas_6_00_vmtest/idl/themis/spacecraft/particles/SST/SST_cal_workdir/thm_sst_calibration_tests.pro $
;-

pro thm_sst_calibration_tests

  timespan,'2007-03-23'
  
  thm_init
 ; !themis.no_update=1
  
  ;this uses the new calibration code
  thm_load_sst2,probe='b'
  
  ;test full distribution
  thm_part_moments,probe='b',inst='psif',moments='*',/sst_cal,tplotsuffix='_new'
  
  ;this uses the old calibration code
  thm_load_sst,probe='b'
  thm_part_moments,probe='b',inst='psif',moments='*',tplotsuffix='_old'

  ;Right now the parameters in the new calibration file are the same as 
  ;the parameters used in the old version.  So these should match
  tplot,['thb_psif_en_eflux_old','thb_psif_en_eflux_new']
  
  stop
  
  ;test burst distribution
  thm_part_moments,probe='b',inst='pseb',moments='*',/sst_cal,tplotsuffix='_new'
  
  ;this uses the old calibration code
  thm_load_sst,probe='b'
  thm_part_moments,probe='b',inst='pseb',moments='*',tplotsuffix='_old'

  ;Right now the parameters in the new calibration file are the same as 
  ;the parameters used in the old version.  So these should match
  tplot,['thb_pseb_en_eflux_old','thb_pseb_en_eflux_new']
  
  stop
  
  ;test reduced distribution
  thm_part_moments,probe='b',inst='psir',moments='*',/sst_cal,tplotsuffix='_new'
  
  ;this uses the old calibration code
  thm_load_sst,probe='b'
  thm_part_moments,probe='b',inst='psir',moments='*',tplotsuffix='_old'

  ;Right now the parameters in the new calibration file are the same as 
  ;the parameters used in the old version.  So these should match
  tplot,['thb_psir_en_eflux_old','thb_psir_en_eflux_new']

  stop

end