; Given arrays x, y, and delta_phi (degrees), apply a counter-clockwise
; rotation of delta_phi, yielding output arrays xp, yp.  This is used to
; apply the eclipse delta_phi corrections obtained from the spin
; model.  This routine is used for correcting spin fits efs and
; fgs, and particle flux and velocity moments.  Waveform data
; does not require this correction.  The momentum flux quantities
; from L1 MOM are tensors, and should not be corrected with this
; routine -- see correct_delta_phi_tensor.

pro correct_delta_phi_vector,x,y,delta_phi,xp=xp, yp=yp
  cs = cos(delta_phi*!DPI/180.D)
  sn = sin(delta_phi*!DPI/180.D)
  xp = x*cs - y*sn
  yp = x*sn + y*cs
end
