;+
;
;thm_ui_draw_object method: addBackground
;
;Adds the main page background to the target view
;
;view(object reference): IDLgrView to which the background is being added
;color(3 element byte array):  The color of the background.
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia2.ssl.berkeley.edu/repos/thmsoc/tags/tdas_6_00_vmtest/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__addbackground.pro $
;-
pro thm_ui_draw_object::addBackground,view,color

  compile_opt idl2
  
  ;the lowest object in the layering
  zstack=0.0
  
  ;a simple polygon.
  grBackground = obj_new('IDLgrPolygon',[0,1,1,0], $
    [0,0,1,1], $
    [zstack,zstack,zstack,zstack],$
    color=self->convertColor(color),$
    /double)
    
  grBModel = obj_new('IDLgrModel')
  
  grBModel->add,grBackground
  
  view->add,grBModel
  
end