;+
;thm_ui_draw_object method: GetMarkers
;
;Returns the marker or list of markers that were created
;by the most recent markeron/markeroff call
;if no markers available, returns 0
;Output:
; an array of structs of the form
;{idx:0,marker:obj_new('thm_ui_marker')}
;idx is index of the panel the marker is on, this is the index into the list of panels in the IDL_Container on the window, not the ID field of the panel
;the object is the marker, with correct default settings and range
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia2.ssl.berkeley.edu/repos/thmsoc/tags/tdas_6_00_vmtest/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__getmarkers.pro $
;-

function thm_ui_draw_object::getMarkers

  compile_opt idl2
  
  if ~ptr_valid(self.currentMarkers) then return,0
  
  markerStruct = {idx:0,marker:obj_new()}
  
  markers = replicate(markerStruct,n_elements(*self.currentMarkers))
  
  for i = 0,n_elements(markers)-1 do begin
    markers[i].marker = ((*self.currentMarkers)[i])->copy()
  endfor
  
  markers[*].idx = *self.markerIdx
  
  return,[markers]
  
end