;+
;
;thm_ui_draw_object method: getZoom
;
;This routine returns the current zoom of the destination object
; Used primarily for determining scaling values to be applied to
; text when drawn.  IDL doesn't properly correct for zoom, unless
; an object is already rendered.  If you initially draw while at
; non 1. zoom text will be mis-sized unless scaled by zoom factor.
;
; Doesn't really apply to non-IDLgrWindow, because they don't
; have associated zoom factors.
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia2.ssl.berkeley.edu/repos/thmsoc/tags/tdas_6_00_vmtest/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__getzoom.pro $
;-
function thm_ui_draw_object::getZoom

  compile_opt idl2
  
  if obj_isa(self.destination,'IDLgrWindow') then begin
    self.destination->getProperty,current_zoom=cz
  endif else begin
    cz = 1D
  endelse
  
  return, cz
  
end
