;+
;
;thm_ui_draw_object method: pt2norm
;
;
;Convert pts into draw area normal coordinates.
;Inputs:
;  Value(numeric type, or array of numeric types): the point value(s) to be converted
;  xy(boolean):  0: convert for x-axis, 1 convert for y-axis.(because screen dims differ, axis must be specified)
;  
;Returns, the value in normalized coordinates
;
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia2.ssl.berkeley.edu/repos/thmsoc/tags/tdas_6_00_vmtest/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__pt2norm.pro $
;-

function thm_ui_draw_object::pt2norm,value,xy

  compile_opt idl2
  
  pt2mm = 127D/360D
  mm2cm = .1D
  
  v = value*pt2mm*mm2cm
  
  dim = self->getDim()
  
  self.destination->getProperty,resolution=r
  
  dim /= self->getZoom()
  
  return,v/(r[xy]*dim[xy])
  
end
